Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.chataddin
Interface IAddInApp

public abstract interface IAddInApp

AddInApp exposes an interface to the Objirc Chat application for addins. Each addin has their own addin app.

See Also:
  `AddInWin`

Method Summary
`void` | `addIRCMessageListener(IRCMessageListener l)` add an irc message listener (so an addin can respond to events from the server)
`IAddInWin` | `createAddInWindow(java.lang.String windowName, java.lang.String usageTip)` create a window used only by the addin.
`IAddInUtil` | `getAddInUtil()` returns an object with MIRC compatibility methods
`IChatAddIn` | `getChatAddIn()` return the chat addin linked with this app (each addin has their own app)
`IAddInWin` | `getChatWindow(java.lang.String lowerFriendName)` return a specific chat window
`java.util.Enumeration` | `getChatWindows()` return the current chat/query windows as AddInWins
`ZipClassLoader` | `getClassLoader()` get the classloader your addin was loaded with.
`java.lang.String` | `getCommandLine()` return the text entered to launch this addin.
`RoomOccupants` | `getRoomOccupants(java.lang.String lowerRoomName)` returns information about the occupants in the room The returned structure is kept up to date as people come and go from the room.
`IAddInWin` | `getRoomWindow(java.lang.String lowerRoomName)` return a specific room window.
`java.util.Enumeration` | `getRoomWindows()` return the room windows as AddInWins
`java.io.File` | `getRootDir()` return Objirc Chat's root directory.
`Sender` | `getSender()` get the sender object associated with current IRC server connection.
`IAddInWin` | `getStatusWindow()` returns the status window
`void` | `removeIRCMessageListener(IRCMessageListener l)` remove an irc message listener.
`void` | `unload()` a method to tell the addin app to do whatever is necessary to remove itself: close any addin windows created by it , remove any ircmessagelisteners, remove any addin input listeners added, etc.

Method Detail

### getSender

    public Sender getSender()

  get the sender object associated with current IRC server connection.

### getStatusWindow

    public IAddInWin getStatusWindow()

  returns the status window

### getRoomWindows

    public java.util.Enumeration getRoomWindows()

  return the room windows as AddInWins

### getRoomWindow

    public IAddInWin getRoomWindow(java.lang.String lowerRoomName)

  return a specific room window. May be null if no such room.

### getRoomOccupants

    public RoomOccupants getRoomOccupants(java.lang.String lowerRoomName)

  returns information about the occupants in the room The returned structure is kept up to date as people come and go from the room. The structure implements the TableModel interface so you can even add listeners to it to perform actions when people enter or leave the room.

### getChatWindows

    public java.util.Enumeration getChatWindows()

  return the current chat/query windows as AddInWins

### getChatWindow

    public IAddInWin getChatWindow(java.lang.String lowerFriendName)

  return a specific chat window

### createAddInWindow

    public IAddInWin createAddInWindow(java.lang.String windowName,
                                       java.lang.String usageTip)

  create a window used only by the addin. You'll need to add an input listener to make it useful.

### addIRCMessageListener

    public void addIRCMessageListener(IRCMessageListener l)

  add an irc message listener (so an addin can respond to events from the server)

### removeIRCMessageListener

    public void removeIRCMessageListener(IRCMessageListener l)

  remove an irc message listener. send a notificication when listener is removed

### getAddInUtil

    public IAddInUtil getAddInUtil()

  returns an object with MIRC compatibility methods

### unload

    public void unload()

  a method to tell the addin app to do whatever is necessary to remove itself: close any addin windows created by it , remove any ircmessagelisteners, remove any addin input listeners added, etc.

### getCommandLine

    public java.lang.String getCommandLine()

  return the text entered to launch this addin. e.g. "filename.py arg1 arg2"

### getChatAddIn

    public IChatAddIn getChatAddIn()

  return the chat addin linked with this app (each addin has their own app)

### getClassLoader

    public ZipClassLoader getClassLoader()

  get the classloader your addin was loaded with. This snazzy loader will allow you to pull in libraries at runtime (e.g. say you want to use JDBC libraries but the user did not have them in their classpath when the app loaded. Just use the ZipClassLoader to pull in your faviourite driver's jar file.)

### getRootDir

    public java.io.File getRootDir()

  return Objirc Chat's root directory. This is where the objirc.properties file is kept. Directories below it of interest include Favorites, Favorites\Startup, Favorites\Command , Favorites\User, Favorites\Room

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD